Get contact import details
GET
https://app.speybooks.com/api/v1/contact-imports/{id}Retrieve full details of a contact import including the import metadata (with audit timestamps), the stored preview (DSU outcomes, evidence, and stats), and the schema data (column mapping and parsed rows for conflict re-resolution).
Path parameters
id string requiredData import ID (e.g. dimp_1).
Response
200 Import record with preview_data (outcomes, evidence, stats) and schema_data (column mapping, parsed rows).
Show response fields
import objectShow child attributes
completedAt string nullablecreatedAt string date-timecreatedCount integerengineVersion stringerrorCount integerfilename stringid stringskippedCount integerstatus stringtotalRows integerpreview objectShow child attributes
evidence array<object>Show child attributes
confidence integernodeIds array<string>reason stringtype stringoutcomes array<object>Show child attributes
nodeIds array<string>type stringstats objectShow child attributes
conflicts integercreates integermerges integerskips integerschema objectShow child attributes
columnMapping objectShow child attributes
0 string1 string2 stringparsedRows array<object>Show child attributes
email stringhardKeys array<string>name stringrowIndex integerError codes
404 Import not found or not a contacts import.